{% extends 'base.html.twig' %}

{% block content %}

    <div class="uk-flex uk-flex-center">
        <div class="uk-card uk-card-default uk-width-1-2@m">
            <div class="uk-card-header">
                <div class="uk-grid-small uk-flex-middle" uk-grid>
                    <div class="uk-width-expand">
                        <h3 class="uk-card-title uk-margin-remove-bottom">{{ version.zone.name }} ({{ version.zone.id }} - version {{ version.id }})</h3>
                        <p class="uk-text-meta uk-margin-remove-top">{{ 'zone.nbdomains' | trans({'%nbdomains%': version.zone.nbdomains}) }}</p>
                    </div>
                </div>
            </div>
            <div class="uk-card-body">
                <table class="uk-table">
                    <thead>
                        <tr>
                            <th>Id</th>
                            <th>Name</th>
                            <th>Type</th>
                            <th>Value</th>
                            <th>TTL</th>
                        </tr>
                    </thead>
                    <tbody>
                    {% for record in version.records %}
                        <tr>
                            <td>{{ record.id }}</td>
                            <td>{{ record.name }}</td>
                            <td>{{ record.type }}</td>
                            <td>{{ record.value }}</td>
                            <td>{{ record.ttl }}</td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
            <div class="uk-card-footer">
                <a class="uk-button uk-button-primary" href="{{ path('add-record', {'zone': version.zone.id, 'version': version.id}) }}">{{ 'zone.version.record.new' | trans }}</a>
                <a class="uk-button uk-button-danger" href="{{ path('delete-version', { 'zone': version.zone.id, 'version': version.id }) }}">{{ 'zone.version.delete' | trans }}</a>
                <a class="uk-button uk-button-default" href="{{ path('info-zone', { 'zone': version.zone.id }) }}">{{ 'zone.version.back' | trans }}</a>
            </div>
        </div>
    </div>
{% endblock %}
